[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.CreateParams

Initializes the window creation parameters with the settings for the control.

## Declaration

Source position: grids.pas line 1016

`protected procedure TCustomGrid.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | Creation parameters updated in the method.

## Description

CreateParams is a procedure used to initialize and/or update creation parameters in the Params argument. CreateParams is called from the CreateWnd method when the window handle is allocated for the control.

CreateParams is an overridden method in TCustomGrid. It ensures that Params contains the values needed for the style and offset in the window class type.

## See also

TWinControl.CreateParams |  | Initializes the window creation parameter record with the settings for the control.
TWinControl.CreateWnd |  | Creates the interface object (widget) and assigns the value in Handle.
TCreateParams |  | Record type used to store window creation parameters.